c
c     ************************************************************************
c     *                                                                      *
c     *                                                                      *
c     *     *     *  *******  *******  *******  *******  *     *  *******    *
c     *     **   **  *        *     *  *     *     *     **    *  *     *    *
c     *     * * * *  *        *     *  *           *     * *   *  *          *
c     *     *  *  *  *******  *******  *  ****     *     *  *  *  *  ****    * 
c     *     *     *  *        *   *    *  *  *     *     *   * *  *  *  *    * 
c     *     *     *  *        *    *   *     *     *     *    **  *     *    * 
c     *     *     *  *******  *     *  *******  *******  *     *  *******    * 
c     *                                                                      *
c     *                                                                      *
c     *                       *   * ***** *****    *****   *   ***** *****   *
c     *                       *   * *     *   *    *   *   *   *   * *       *
c     *                       *   * ***** *****    *   *   *   *   * *****   *
c     *                        * *  *     *  *  ** *   *   *   *   *     *   *
c     *                         *   ***** *   * ** *****   *   ***** *****   *
c     *                                                                      *
c     *                                                                      *
c     ************************************************************************
c
c     ************************************************************************
c     *                                                                      *
c     *                                                                      *
c     *        *****   *   *****   *   *   * ***** ***** ***** *****         *
c     *        *   *  * *  *   *  * *  ** ** *       *   *     *   *         *
c     *        ***** ***** ***** ***** * * * *****   *   ***** *****         *
c     *        *     *   * *  *  *   * *   * *       *   *     *  *          *
c     *        *     *   * *   * *   * *   * *****   *   ***** *   *         *
c     *                                                                      *
c     *                                                                      *
c     ************************************************************************
c
c     ************************************************************************
c     *                                                                      *
c     *  BLOCK 1  :  DOMAIN DIMENSION                                        *
c     *                                                                      *
c     *              nx000 = E-W grid number in 0.10 deg grid point system   *
c     *              ny000 = S-N grid number in 0.10 deg grid point system   *
c     *                                                                      *
c     *              nx025 = E-W grid number in 0.25 deg grid box system     *
c     *              ny025 = S-N grid number in 0.25 deg grid box system     *
c     *                                                                      *
c     *              nx050 = E-W grid number in 0.50 deg grid box system     *
c     *              ny050 = S-N grid number in 0.50 deg grid box system     *
c     *                                                                      *
c     *              nx100 = E-W grid number in 1.00 deg grid box system     *
c     *              ny100 = S-N grid number in 1.00 deg grid box system     *
c     *                                                                      *
c     *              nx250 = E-W grid number in 2.50 deg grid box system     *
c     *              ny250 = S-N grid number in 2.50 deg grid box system     *
c     *                                                                      *
c     *              nx500 = E-W grid number in 5.00 deg grid box system     *
c     *              ny500 = S-N grid number in 5.00 deg grid box system     *
c     *                                                                      *
c     *              nsate = number of satellite estimates / model fields    *
c     *              nobs  = number of observation-based data sources        *
c     *                                                                      *
c     ************************************************************************
c
      parameter  ( nx000 = 751, ny000 = 801 ) 
      parameter  ( nx025 = 300, ny025 = 320 ) 
      parameter  ( nx050 = 150, ny050 = 160 ) 
      parameter  ( nx100 =  75, ny100 =  80 ) 
      parameter  ( nx250 =  30, ny250 =  32 ) 
      parameter  ( nx500 =  15, ny500 =  16 ) 
      parameter  ( nsate =   3, nobs  =   3 ) 
c
c     ************************************************************************
c     *                                                                      *
c     *  BLOCK 2  :  REFERENCE VALUES                                        *
c     *                                                                      *
c     *              undef = undefined value                                 *
c     *              rgpi  = ratio between error function PC over ocean      *
c     *                      and that over land for gpi                      *
c     *                                                                      *
c     *              rssmi = ratio between error function PC over ocean      *
c     *                      and that over land for ssmi                     *
c     *                                                                      *
c     *              ramsu = ratio between error function PC over ocean      *
c     *                      and that over land for amsu                     *
c     *                                                                      *

c     *                                                                      *
c     ************************************************************************
c
      parameter  ( undef = -999.0 ) 
      parameter  ( rgpi  = 0.5, rssmi = 0.5, ramsu = 0.5) 
c
c     ************************************************************************
c     *                                                                      *
c     *  BLOCK 3  :  LAND/OCEAN MASK                                         *
c     *                                                                      *
c     ************************************************************************
c
      common  /mask/  rland000 (nx000,ny000), rland025 (nx025,ny025), 
     #                rland050 (nx050,ny050), rland100 (nx100,ny100), 
     #                rland250 (nx250,ny250), rland500 (nx500,ny500)
