c
c     ************************************************************************
c     *                                                                      *
c     *                                                                      *
c     *     *******  *******  *******  *******  *******  *******  *******    *
c     *     *     *  *     *  *        *     *  *     *  *     *  *          *
c     *     *     *  *     *  *        *     *  *     *  *     *  *          *
c     *     *******  *******  *******  *******  *******  *     *  *          * 
c     *     *        *   *    *        *        *   *    *     *  *          * 
c     *     *        *    *   *        *        *    *   *     *  *          * 
c     *     *        *     *  *******  *        *     *  *******  *******    * 
c     *                                                                      *
c     *                                                                      *
c     *                       *   * ***** *****    *****   *   ***** *****   *
c     *                       *   * *     *   *    *   *   *   *   * *      *
c     *                       *   * ***** *****    *   *   *   *   * *****   *
c     *                        * *  *     *  *  ** *   *   *   *   *     *   *
c     *                         *   ***** *   * ** *****   *   ***** *****   *
c     *                                                                      *
c     *                                                                      *
c     ************************************************************************
c
c     ************************************************************************
c     *                                                                      *
c     *                                                                      *
c     *        *****   *   *****   *   *   * ***** ***** ***** *****         *
c     *        *   *  * *  *   *  * *  ** ** *       *   *     *   *         *
c     *        ***** ***** ***** ***** * * * *****   *   ***** *****         *
c     *        *     *   * *  *  *   * *   * *       *   *     *  *          *
c     *        *     *   * *   * *   * *   * *****   *   ***** *   *         *
c     *                                                                      *
c     *                                                                      *
c     ************************************************************************
c
c     ************************************************************************
c     *                                                                      *
c     *  BLOCK 1  :  DOMAIN DIMENSION                                        *
c     *                                                                      *
c     *              nx000 = E-W grid number in 0.10 deg grid point system   *
c     *              ny000 = S-N grid number in 0.10 deg grid point system   *
c     *                                                                      *
c     *              nx025 = E-W grid number in 0.25 deg grid box system     *
c     *              ny025 = S-N grid number in 0.25 deg grid box system     *
c     *                                                                      *
c     *              nx050 = E-W grid number in 0.50 deg grid box system     *
c     *              ny050 = S-N grid number in 0.50 deg grid box system     *
c     *                                                                      *
c     *              ngauge= number of GTS gauges available over the Africa  *
c     *                                                                      *
c     *              nword = number of 4-byte words in a record in GTS file  *
c     *                                                                      *
c     *              nsort = number of closest gauges for which distances    *
c     *                      to grid are calculated                          *
c     *                                                                      *
c     ************************************************************************
c
      parameter  ( nx000 = 751, ny000 = 801 ) 
      parameter  ( nx025 = 300, ny025 = 320 ) 
      parameter  ( nx050 = 150, ny050 = 160 ) 
      parameter  ( ngauge= 2534, nword = 1267, nsort = 100 ) 
c
c     ************************************************************************
c     *                                                                      *
c     *  BLOCK 2  :  REFERENCE VALUES                                        *
c     *                                                                      *
c     *              undef = undefined value                                 *
c     *                                                                      *
c     ************************************************************************
c
      parameter  ( undef = -999.0 ) 
c
c     ************************************************************************
c     *                                                                      *
c     *  BLOCK 3  :  LAND/OCEAN MASK AND STATION LIST                        *
c     *                                                                      *
c     ************************************************************************
c
      common  /mask/  rland000 (nx000,ny000), rland025 (nx025,ny025) 
      common  /GTS/   rlat (ngauge), rlon (ngauge) 
