ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

      program arcfq

ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc


ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
!	Declare!
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
      parameter ( nx = 751, ny = 801 ) 
      integer*4 i j k d y yr ind nyr ndays counter	
	
      character*16 cline
      real period(nx,ny), total(nx,ny,190), cyr
      real rain_days(nx,ny,50), mxcd_days(nx,ny,50)
      real a(190), tally(190)
      real fout(nx,ny,4)
	
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
!	Read Inputs
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
      open  ( unit=19, file='fqdlynum',status='old',
     1	access='sequential',form='formatted',recl=7) 
      read(19,*) nyr, ndays
	
      print *, ' Commencing ARC2 Rainfall Frequency Analysis...'	
      print *, '     # of years:', nyr 
      print *, '     # of  days:', ndays	
      close(19)

      open  ( unit=10, file='fqdlylist',status='old',
     1	access='sequential',form='formatted',recl=16) 


ccc   INITIALIZE ARRAYS/MATRICES
        do k=1, 50
        do i=1, nx
        do j=1, ny
         rain_days(i,j,k) = 0.0 
         mxcd_days(i,j,k) = 0.0 	   
        enddo
        enddo 
        enddo  

        do k=1, ndays
         a(k) = 0.0 	  
         tally(k) = 0.0 
        enddo          


      do k=1, nyr 	
        read(10,100) cline
100     format (A)
        print *, cline
	  
        open  ( unit=20, file=cline,convert='big_endian',
     1  access='direct',form='unformatted',recl=nx*ny*4) 
 
        ind=1    
        do d=1, ndays
          read(20,rec=ind) period	  
c          print *, period(50,50)


ccc   SUM RAIN DAYS FOR PERIOD     
          do i=1, nx
          do j=1, ny
            if ( period(i,j).LT.0.0 ) then
              rain_days(i,j,k) = rain_days(i,j,k) + 0.0
              total(i,j,ind) = 0.0	
            else
              rain_days(i,j,k) = rain_days(i,j,k) + period(i,j)
              total(i,j,ind) = period(i,j)	
            endif		    
          enddo
          enddo
	  	  
          ind=ind+1
        enddo
        close(20)


ccc   FIND MAX CONSEC DRY DRYS FOR PERIOD 
      ind=ind-1
c      print *, ind

      do i=1, nx 
      do j=1, ny
        a(1:ind) = total(i,j,1:ind)
        counter=0
        do kk=1, ind
          tally(kk) = 0.0
        enddo	  
        do kk=1, ind
          if ( a(kk).EQ.0 ) then
            counter = counter+1
            tally(kk) = counter
          endif
          if ( a(kk).EQ.1 ) then
            counter = 0 
          endif
        enddo    

        mxcd_days(i,j,k) = maxval(tally(1:ind))	  
      enddo
      enddo


      enddo
      close(10)


ccc   GET CLIM, OBS, THEREFORE ANOM 

        do i=1, nx
        do j=1, ny
         fout(i,j,1) = rain_days(i,j,nyr) 	  
         fout(i,j,2) = sum(rain_days(i,j,1:(nyr-1)))/(nyr-1)  
	   
         fout(i,j,3) = mxcd_days(i,j,nyr)  	   
         fout(i,j,4) = sum(mxcd_days(i,j,1:(nyr-1)))/(nyr-1)   
        enddo
        enddo 



ccc   OUTPUT
      open  ( unit=30, file='fqdly.bin',convert='big_endian',
     1        access='direct',form='unformatted',recl=nx*ny*4) 	
	
     
      write(30,rec=1) fout(:,:,1) 
      write(30,rec=2) fout(:,:,2)     
      write(30,rec=3) fout(:,:,3)
      write(30,rec=4) fout(:,:,4)	
   
      close(30)
	
      stop
      end


	
